changeset 1243:0666458bca16

Fix overlay support: copy to original STAGE_DIR (not into usr/) and use tar | tar instead of cp -a (which barfs copying dir/file to a destination where dir symlink).
author Rob Landley <rob@landley.net>
date Fri, 10 Sep 2010 12:21:46 -0500
parents 83b8e7888ccf
children a801fe68e08c
files simple-root-filesystem.sh
diffstat 1 files changed, 2 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/simple-root-filesystem.sh	Wed Sep 08 12:56:51 2010 -0500
+++ b/simple-root-filesystem.sh	Fri Sep 10 12:21:46 2010 -0500
@@ -17,6 +17,7 @@
 
 # Determine which directory layout we're using
 
+OLD_STAGE_DIR="$STAGE_DIR"
 if [ -z "$ROOT_NODIRS" ]
 then
   mkdir -p "$STAGE_DIR"/{tmp,proc,sys,dev,home,mnt} &&
@@ -51,7 +52,7 @@
 if [ ! -z "$SIMPLE_ROOT_OVERLAY" ]
 then
   cd "$TOP"
-  cp -r "$SIMPLE_ROOT_OVERLAY/." "$STAGE_DIR/" || dienow
+  tar -cz -C "$SIMPLE_ROOT_OVERLAY" | tar -xz -C "$OLD_STAGE_DIR" || dienow
 fi
 
 # Build busybox